EDIT - feature request #8181

Further features for bulk editors
03/15/2019 11:44 AM - Katja Luther

Status: New Start date:

Priority: Priority14 Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal

Description

this is a ticket to collect all wanted features for bulkeditors:
Advanced search or column filter options:
o ref type (request by Henning) - column exists already

e created by (request by Henning) --> #8968
e MarkerType (suggestion by Andreas K)

Related issues:
Related to EDIT - feature request #8968: filter Bulk editor for created by Closed

History

#1 - 03/15/2019 11:45 AM - Katja Luther

- Assignee changed from Andreas Muiller to Katja Luther

#2 - 06/17/2020 06:45 PM - Andreas Kohlbecker

- Description updated

#3 - 06/17/2020 06:46 PM - Andreas Kohlbecker
- Related to feature request #8968: filter Bulk editor for created by added

#4 - 06/17/2020 06:57 PM - Andreas Kohlbecker

- File picture520-1.png added

Just a thought on additinal filter options for bulkeditors in general:

the service method IdentifiableDaoBase.findByTitleWithRestrictions(..) provides a very flexible means to filter cdm entitiy by offering a generic way to

apply multiple filter parameters. If we would use this find method for all Bulkeditors it would be possible to offer a Ul tool to build and combine filter
options, conceptionally maybe similar to this

Match all of the following

(O Match any of the following

Subject € - contains ~ | | Andreas a + |-
Date € - isequalto ~ | 17.06.2020 vil+ || =
Organization € - contains ~| | bla bla bla a + | (-

€ Clear

#5 - 06/17/2020 07:09 PM - Andreas Miller
- Description updated

- Target version changed from Unassigned CDM tickets to Release 5.18
https://dev.e-taxonomy.eu/redmine/issues/8968

ref type already exists so | kind of remove it from the above list.
As "created by" should be easy to implement so | set target version to 5.16.

@Andreas: can you explain what you mean by MarkerType? Should there be a concatenated list of marker type labels with :true or :false behind each
label? What is the usecase you need it for.

#6 - 06/17/2020 07:12 PM - Andreas Miiller
Andreas Kohlbecker wrote:
Just a thought on additinal filter options for bulkeditors in general:
the service method IdentifiableDaoBase.findByTitleWithRestrictions(..) provides a very flexible means to filter cdm entitiy by offering a generic
way to apply multiple filter parameters. If we would use this find method for all Bulkeditors it would be possible to offer a Ul tool to build and
combine filter options, conceptionally maybe similar to this
Match all of the following

O Match any of the following

Subject 4 | contains ~ | | Andreas a |+ | | -
Date € v |isequal to ~ 1 17.06.2020 vil+ || =
Organization 4 | contains ~ | | bla bla bla a) |+ | -

€ Clear

| agree. An advanced search which allows explicit searching for bulk editor entities is definitely something we need urgently. This is a known issue.
But | would move this comment to a new(?) ticket on advanced bulk editor search. This one is primarily on table columns which is related but not the
same.
@Katja: do you know if such a ticket exists already?
#7 - 06/18/2020 03:02 PM - Andreas Kohlbecker
Andreas Muller wrote:
@Andreas: can you explain what you mean by MarkerType? Should there be a concatenated list of marker type labels with :true or :false behind
each label? What is the usecase you need it for.
| was meaning markers which is would be a filter which allows combining MarkerType with a boolean value as you pointed out correctly
But | would move this comment to a new(?) ticket on advanced bulk editor search. This one is primarily on table columns which is related but not

the same.

| don't think so. The focus of this ticket doesn't seem to be defined precisely yet. Aren't we in the middle of figuring it out?

#8 - 06/18/2020 03:44 PM - Andreas Miiller
- Description updated
Andreas Kohlbecker wrote:
Andreas Miiller wrote:
@Andreas: can you explain what you mean by MarkerType? Should there be a concatenated list of marker type labels with :true or :false
behind each label? What is the usecase you need it for.
| was meaning markers which is would be a filter which allows combining MarkerType with a boolean value as you pointed out correctly
But | would move this comment to a new(?) ticket on advanced bulk editor search. This one is primarily on table columns which is related

but not the same.

| don't think so. The focus of this ticket doesn't seem to be defined precisely yet. Aren't we in the middle of figuring it out?
Upps, sorry, as we had a ticket recently which was only about new columns | thought this ticket is also about new columns only.

But you are right that it is more general.

However, a new advanced search interface may take some time and discussion to implement.
A simple filter may be fast. We already have something similar for the distribution editor.

@Katja: is it difficult to add such a filter row to the bulk editors as well?

#9 - 12/04/2020 09:09 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#10 - 01/27/2021 04:43 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#11 - 03/10/2021 02:51 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#12 - 04/19/2021 05:41 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.46
